Package io.vertx.rxjava3.ext.web.handler.graphql

## Class ExecutionInputBuilderWithContext<C>

- java.lang.Object
- - io.vertx.rxjava3.ext.web.handler.graphql.ExecutionInputBuilderWithContext<C>

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class ExecutionInputBuilderWithContext<C>
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Holds a with a contextual object.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<ExecutionInputBuilderWithContext>` | `__TYPE_ARG` |
    `io.vertx.lang.rx.TypeArg<C>` | `__typeArg_0` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExecutionInputBuilderWithContext​(ExecutionInputBuilderWithContext delegate)` |
    `ExecutionInputBuilderWithContext​(Object delegate, io.vertx.lang.rx.TypeArg<C> typeArg_0)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `graphql.ExecutionInput.Builder` | `builder()` |
    `C` | `context()` |
    `boolean` | `equals​(Object o)` |
    `ExecutionInputBuilderWithContext` | `getDelegate()` |
    `int` | `hashCode()` |
    `static <C> ExecutionInputBuilderWithContext<C>` | `newInstance​(ExecutionInputBuilderWithContext arg)` |
    `static <C> ExecutionInputBuilderWithContext<C>` | `newInstance​(ExecutionInputBuilderWithContext arg, io.vertx.lang.rx.TypeArg<C> __typeArg_C)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ExecutionInputBuilderWithContext> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<C> __typeArg_0

  - ### Constructor Detail

    - #### ExecutionInputBuilderWithContext

          public ExecutionInputBuilderWithContext​(ExecutionInputBuilderWithContext delegate)

    - #### ExecutionInputBuilderWithContext

          public ExecutionInputBuilderWithContext​(Object delegate,
                                                  io.vertx.lang.rx.TypeArg<C> typeArg_0)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ExecutionInputBuilderWithContext getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### context

          public C context()

      Returns:
        the contextual object

    - #### builder

          public graphql.ExecutionInput.Builder builder()

      Returns:
        the GraphQL execution input builder

    - #### newInstance

          public static <C> ExecutionInputBuilderWithContext<C> newInstance​(ExecutionInputBuilderWithContext arg)

    - #### newInstance

          public static <C> ExecutionInputBuilderWithContext<C> newInstance​(ExecutionInputBuilderWithContext arg,
                                                                            io.vertx.lang.rx.TypeArg<C> __typeArg_C)